Functions related to the states

## Functions

trace_return_t | addStateType (const char *alias, const char *contType, const char *name)
| Add a State Type.
trace_return_t | setState (varPrec time, const char *type, const char *cont, const char *val)
| Set the State of a Container.
trace_return_t | pushState (varPrec time, const char *type, const char *cont, const char *val)
| Save the current State on a stack and change the State of a Container.
trace_return_t | popState (varPrec time, const char *type, const char *cont)
| Revert the State of a Container to its previous value.

## Detailed Description

## Function Documentation

## addStateType()

trace_return_t addStateType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name )

Add a State Type.

Parameters

  alias | Alias on the state type added
  contType | Type of container of these states
  name | Alternative name of the state type

Returns
  TRACE_SUCCESS on success
  An error code otherwise

## popState()

trace_return_t popState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont )

Revert the State of a Container to its previous value.

Parameters

  time | Time the state changes
  type | Type of the state
  cont | Container whose state changes

Returns
  TRACE_SUCCESS on success
  An error code otherwise

## pushState()

trace_return_t pushState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val )

Save the current State on a stack and change the State of a Container.

Parameters

  time | Time the state changes
  type | Type of the state
  cont | Container whose state changes
  val | Value of state of container

Returns
  TRACE_SUCCESS on success
  An error code otherwise

## setState()

trace_return_t setState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val )

Set the State of a Container.

Parameters

  time | Time the state changes
  type | Type of the state
  cont | Container whose state changes
  val | Value of new state of container

Returns
  TRACE_SUCCESS on success
  An error code otherwise